[Scilab-users] /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found

classic Classic list List threaded Threaded
3 messages Options
Carrico, Paul Carrico, Paul
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found

Dear All

 

Not sure that the issue comes from Scilab itself, but I cannot fix it ; so far I’ve had not trouble using cgal libraries, but on a new machine under Centos 7, the error detailed here below occurs and I do not understand why ; I’ve update the profile but it still fails.

 

Does somebody has ever met it?

 

Thanks for any feedback

 

Paul

 

################### Scilab ##########################

Initialisation :

  Chargement de l'environnement de travail

 

Start CG-lab

                Load macros

                Load thirdparties

                Load gateways

atomsLoad : Une erreur est survenue au cours du chargement de 'cglab-2.3.2':

                exec: error on line #13: "link : La bibliothèque partagée n'a pas été chargée: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /opt/scilab-6.0.2/share/scilab/contrib/cglab/2.3.2/sci_gateway/c//../../src/cpp/libcgal_cpp.so)"

 

 

##################### profile ##############################

export LD_LIBRARY_PATH=/usr/lib64/libstdc++.so.6:/lib64/libstdc++.so.6:$LD_LIBRARY_PATH


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

Re: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found

Hello,

Can you try to load version 2.3.1 version instead ?

atomsInstall(["cglab" "2.3.1"]);

S.

Le 01/03/2019 à 15:17, Carrico, Paul a écrit :

Dear All

 

Not sure that the issue comes from Scilab itself, but I cannot fix it ; so far I’ve had not trouble using cgal libraries, but on a new machine under Centos 7, the error detailed here below occurs and I do not understand why ; I’ve update the profile but it still fails.

 

Does somebody has ever met it?

 

Thanks for any feedback

 

Paul

 

################### Scilab ##########################

Initialisation :

  Chargement de l'environnement de travail

 

Start CG-lab

                Load macros

                Load thirdparties

                Load gateways

atomsLoad : Une erreur est survenue au cours du chargement de 'cglab-2.3.2':

                exec: error on line #13: "link : La bibliothèque partagée n'a pas été chargée: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /opt/scilab-6.0.2/share/scilab/contrib/cglab/2.3.2/sci_gateway/c//../../src/cpp/libcgal_cpp.so)"

 

 

##################### profile ##############################

export LD_LIBRARY_PATH=/usr/lib64/libstdc++.so.6:/lib64/libstdc++.so.6:$LD_LIBRARY_PATH


_______________________________________________
users mailing list
[hidden email]
https://antispam.utc.fr/proxy/1/c3RlcGhhbmUubW90dGVsZXRAdXRjLmZy/lists.scilab.org/mailman/listinfo/users


-- 
Stéphane Mottelet
Ingénieur de recherche
EA 4297 Transformations Intégrées de la Matière Renouvelable
Département Génie des Procédés Industriels
Sorbonne Universités - Université de Technologie de Compiègne
CS 60319, 60203 Compiègne cedex
Tel : +33(0)344234688
http://www.utc.fr/~mottelet

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Carrico, Paul Carrico, Paul
Reply | Threaded
Open this post in threaded view
|

Re: [EXTERNAL] Re: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found

Well good suggestion and now it works … but strange since I’ve 2 machines both under Centos 7, and it works on the first one without doing anything, and using this workaround on the second one.

 

(I cannot use plot2d on both, but it’s another issue)

 

Thanks for the suggestion

 

Paul

 

 

 

De : users [mailto:[hidden email]] De la part de Stéphane Mottelet
Envoyé : vendredi 1 mars 2019 15:24
À : [hidden email]
Objet : [EXTERNAL] Re: [Scilab-users] /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found

 

Hello,

 

Can you try to load version 2.3.1 version instead ?

 

atomsInstall(["cglab" "2.3.1"]);

 

S.

 

Le 01/03/2019 à 15:17, Carrico, Paul a écrit :

Dear All

 

Not sure that the issue comes from Scilab itself, but I cannot fix it ; so far I’ve had not trouble using cgal libraries, but on a new machine under Centos 7, the error detailed here below occurs and I do not understand why ; I’ve update the profile but it still fails.

 

Does somebody has ever met it?

 

Thanks for any feedback

 

Paul

 

################### Scilab ##########################

Initialisation :

  Chargement de l'environnement de travail

 

Start CG-lab

                Load macros

                Load thirdparties

                Load gateways

atomsLoad : Une erreur est survenue au cours du chargement de 'cglab-2.3.2':

                exec: error on line #13: "link : La bibliothèque partagée n'a pas été chargée: /lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /opt/scilab-6.0.2/share/scilab/contrib/cglab/2.3.2/sci_gateway/c//../../src/cpp/libcgal_cpp.so)"

 

 

##################### profile ##############################

export LD_LIBRARY_PATH=/usr/lib64/libstdc++.so.6:/lib64/libstdc++.so.6:$LD_LIBRARY_PATH



_______________________________________________
users mailing list
[hidden email]
https://antispam.utc.fr/proxy/1/c3RlcGhhbmUubW90dGVsZXRAdXRjLmZy/lists.scilab.org/mailman/listinfo/users

 

-- 
Stéphane Mottelet
Ingénieur de recherche
EA 4297 Transformations Intégrées de la Matière Renouvelable
Département Génie des Procédés Industriels
Sorbonne Universités - Université de Technologie de Compiègne
CS 60319, 60203 Compiègne cedex
Tel : +33(0)344234688
http://www.utc.fr/~mottelet

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users